# SIPPingHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPPingHandler:

List of all members.

## Public Member Functions

| SIPPingHandler (SIPEndPoint &ep, const PString &to)
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual SIP_PDU::Methods | GetMethod ()

## Constructor & Destructor Documentation

SIPPingHandler::SIPPingHandler | ( | SIPEndPoint & | ep,
|  | const PString & | to |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPPingHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Implements SIPHandler.

virtual SIP_PDU::Methods SIPPingHandler::GetMethod | ( |  | ) | `[inline, virtual]`

Implements SIPHandler.

The documentation for this class was generated from the following file:

- handlers.h